TESTMXLOOKUP(1)

NAME
testmxlookup - Look up mail relays for a domain

SYNOPSIS

testmxlookup [@ip-address] [--dnssec] [--udpsize n] {domain}

DESCRIPTION

testmxlookup lists the names and IP addresses of mail relays that receive mail for the domain. This is useful in diagnosing mail delivery problems.

testmxlookup sends a DNS MX query for the specified domain, followed by A/AAAA queries, if needed. testmxlookup lists the hostname and the IP address of every mail relay, and its MX priority.

  DIAGNOSTICS

The error message "Hard error" indicates that the domain does not exist, or does not have any mail relays. The error message "Soft error" indicates a temporary error condition (usually a network failure of some sorts, or the local DNS server is down).

  OPTIONS

@ip-address
    Specify the DNS server's IP address, where to send the DNS query to, overriding the default DNS server addresses read from /etc/resolv.conf.

    “ip-address” must be a literal, numeric, IP address.

--dnssec
    Enable the DNSSEC extension. If the DNS server has DNSSEC enabled, and the specified domain's DNS records are signed, the list of IP addresses is suffixed by “(DNSSEC)”, indicating a signed response.

    This is a diagnostic option. Older DNS servers may respond with an error, to a DNSSEC query.

--udpsize n
    Specify that n is the largest UDP packet size that the DNS server may send. This option is only valid together with “--dnssec”. If “--dnssec” always returns an error, try “--udpsize 512” (the default setting is 1280 bytes, which is adequate for Ethernet, but other kinds of networks may impose lower limits).

SEE ALSO

courier(8)[1], RFC 1035[2].

AUTHOR

Sam Varshavchik
    Author

NOTES

1.  courier(8)
    [set $man.base.url.for.relative.links]/courier.html

2.  RFC 1035
    http://www.rfc-editor.org/rfc/rfc1035.txt